package com.yijia.coupon.domain;

import java.math.BigDecimal;
import java.util.List;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 优惠劵发放方式对象 coupon_issue
 *
 * @author yijia
 * @date 2021-08-13
 */
public class CouponIssue extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 发放表主键id */
    private Long id;

    /** 发放类型 （1主动发放，2消费发放，3扫码发放，4展示发放） */
    @Excel(name = "发放类型 ", readConverterExp = "1=主动发放，2消费发放，3扫码发放，4展示发放")
    private String issueType;

    /** 主动发放时，优惠券发放门槛 */
    @Excel(name = "被动发放时，优惠券发放门槛")
    private BigDecimal discountThresholdAmt;

    /** 状态，1启用，2停用 */
    @Excel(name = "状态，1启用，2停用")
    private String status;

    /** 站点id */
    @Excel(name = "站点id")
    private Long stationId;

    /** 展示位置id(1支付成功之后的展示位，2待定，3待定) */
    @Excel(name = "展示位置id(1支付成功之后的展示位，2待定，3待定)")
    private String showId;

    private List<String> showIdList;

    private String appointedDays;
    private String cycleDays;
    private String availableControl;
    private String issueName;

    private List<String> appointedDaysList;
    private List<String> cycleDaysList;

    public String getIssueName() {
        return issueName;
    }

    public void setIssueName(String issueName) {
        this.issueName = issueName;
    }

    public String getAppointedDays() {
        return appointedDays;
    }

    public void setAppointedDays(String appointedDays) {
        this.appointedDays = appointedDays;
    }

    public String getCycleDays() {
        return cycleDays;
    }

    public void setCycleDays(String cycleDays) {
        this.cycleDays = cycleDays;
    }

    public String getAvailableControl() {
        return availableControl;
    }

    public void setAvailableControl(String availableControl) {
        this.availableControl = availableControl;
    }

    public List<String> getAppointedDaysList() {
        return appointedDaysList;
    }

    public void setAppointedDaysList(List<String> appointedDaysList) {
        this.appointedDaysList = appointedDaysList;
    }

    public List<String> getCycleDaysList() {
        return cycleDaysList;
    }

    public void setCycleDaysList(List<String> cycleDaysList) {
        this.cycleDaysList = cycleDaysList;
    }

    private List<Integer> couponIssueRelationList;

    public List<Integer> getCouponIssueRelationList() {
        return couponIssueRelationList;
    }

    public void setCouponIssueRelationList(List<Integer> couponIssueRelationList) {
        this.couponIssueRelationList = couponIssueRelationList;
    }

    public List<String> getShowIdList() {
        return showIdList;
    }

    public void setShowIdList(List<String> showIdList) {
        this.showIdList = showIdList;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setIssueType(String issueType)
    {
        this.issueType = issueType;
    }

    public String getIssueType()
    {
        return issueType;
    }
    public void setDiscountThresholdAmt(BigDecimal discountThresholdAmt)
    {
        this.discountThresholdAmt = discountThresholdAmt;
    }

    public BigDecimal getDiscountThresholdAmt()
    {
        return discountThresholdAmt;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }

    public Long getStationId() {
        return stationId;
    }

    public void setStationId(Long stationId) {
        this.stationId = stationId;
    }

    public void setShowId(String showId)
    {
        this.showId = showId;
    }

    public String getShowId()
    {
        return showId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("issueType", getIssueType())
            .append("discountThresholdAmt", getDiscountThresholdAmt())
            .append("status", getStatus())
            .append("stationId", getStationId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("showId", getShowId())
            .toString();
    }
}
