package com.yijia.coupon.mapper;

import java.util.List;
import com.yijia.coupon.domain.CouponIssue;

/**
 * 优惠劵发放方式Mapper接口
 * 
 * @author yijia
 * @date 2021-08-13
 */
public interface CouponIssueMapper 
{
    /**
     * 查询优惠劵发放方式
     * 
     * @param id 优惠劵发放方式ID
     * @return 优惠劵发放方式
     */
    public CouponIssue selectCouponIssueById(Integer id);

    /**
     * 查询优惠劵发放方式列表
     * 
     * @param couponIssue 优惠劵发放方式
     * @return 优惠劵发放方式集合
     */
    public List<CouponIssue> selectCouponIssueList(CouponIssue couponIssue);

    /**
     * 新增优惠劵发放方式
     * 
     * @param couponIssue 优惠劵发放方式
     * @return 结果
     */
    public int insertCouponIssue(CouponIssue couponIssue);

    /**
     * 修改优惠劵发放方式
     * 
     * @param couponIssue 优惠劵发放方式
     * @return 结果
     */
    public int updateCouponIssue(CouponIssue couponIssue);

    /**
     * 删除优惠劵发放方式
     * 
     * @param id 优惠劵发放方式ID
     * @return 结果
     */
    public int deleteCouponIssueById(Integer id);

    /**
     * 批量删除优惠劵发放方式
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteCouponIssueByIds(Integer[] ids);
}
