package com.yijia.coupon.mapper;

import java.util.List;
import com.yijia.coupon.domain.CouponIssueRelation;

/**
 * 发放方式，优惠劵信息Mapper接口
 *
 * @author yijia
 * @date 2021-08-13
 */
public interface CouponIssueRelationMapper
{
    /**
     * 查询发放方式，优惠劵信息
     *
     * @param id 发放方式，优惠劵信息ID
     * @return 发放方式，优惠劵信息
     */
    public CouponIssueRelation selectCouponIssueRelationById(Long id);

    /**
     * 查询发放方式，优惠劵信息列表
     *
     * @param couponIssueRelation 发放方式，优惠劵信息
     * @return 发放方式，优惠劵信息集合
     */
    public List<CouponIssueRelation> selectCouponIssueRelationList(CouponIssueRelation couponIssueRelation);

    /**
     * 新增发放方式，优惠劵信息
     *
     * @param couponIssueRelation 发放方式，优惠劵信息
     * @return 结果
     */
    public int insertCouponIssueRelation(CouponIssueRelation couponIssueRelation);

    /**
     * 修改发放方式，优惠劵信息
     *
     * @param couponIssueRelation 发放方式，优惠劵信息
     * @return 结果
     */
    public int updateCouponIssueRelation(CouponIssueRelation couponIssueRelation);

    /**
     * 删除发放方式，优惠劵信息
     *
     * @param id 发放方式，优惠劵信息ID
     * @return 结果
     */
    public int deleteCouponIssueRelationById(Long id);

    /**
     * 批量删除发放方式，优惠劵信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteCouponIssueRelationByIds(Long[] ids);

    /**
     * 删除发放方式对应的所有优惠劵
     * @param detail
     * @return
     */
    public int deleteCouponIssueRelation(CouponIssueRelation detail);
}
